Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7157 - autopasswd (part of expect) non-functional
Summary: autopasswd (part of expect) non-functional
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 21:42 UTC by rtowster
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 20:24:28 UTC


Attachments (Terms of Use)

Description rtowster 1999-11-19 21:42:20 UTC
I fixed this myself in RH 5.0.. and now again in 6.0.. maybe you can fix it
for 7.0.. Anyway.. here is a fixed one...
----------------------
#!/usr/bin/expect -f
# wrapper to make passwd(1) be non-interactive
# username is passed as 1st arg, passwd as 2nd

set force_conservative 1
set password [lindex $argv 1]
spawn passwd [lindex $argv 0]
sleep .1
expect "password:"
sleep .1
send "$password\r"
sleep .1
expect "password:"
sleep .1
send "$password\r"
sleep .1
expect eof

Comment 1 Elliot Lee 2000-02-03 20:24:59 UTC
Change is in tcltk-8.0.5-33


Note You need to log in before you can comment on or make changes to this bug.